Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

i've used last pass on firefox, now it says it is corrupted. how can i install last pass?

  • 3 replies
  • 1 has this problem
  • 8 views
  • Last reply by FredMcD

more options

last pass was an add on with firefox and worked fine. in the past it has been disabled but i was always able to add it. now it says it is corrupted and won't let me add it. i use the same last pass on chrome without any problem. please help me to add last pass to firefox.

All Replies (3)

more options

Does the warning say it is corrupt? No one else has reported this.

Download the current LastPass full installer and save it. Totally remove LastPass. After, run the installer.

more options

the add-on is not corrupt and I have used it on Firefox for a long time. It seems that every time i reboot i get a message that it is corrupt and i am unable to reload it. could you please help me with this issue?

more options

FredMcD said

Does the warning say it is corrupt? No one else has reported this.

Download the current LastPass full installer and save it. Totally remove LastPass. After, run the installer.